curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"edge": {
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"egressConnectEntitlementId": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}"
payload = {
"edge": {
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"egressConnectEntitlementId": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
edge: {
appId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
displayName: '<string>',
egressConnectEntitlementId: '<string>',
id: '<string>',
updatedAt: '2023-11-07T05:31:56Z'
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edge": {
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"egressConnectEntitlementId": "<string>",
"id": "<string>",
"mode": "EDGE_MODE_UNSPECIFIED",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Update
Update edits an Edge’s mode via update_mask.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
EdgeServiceUpdateRequest updates an existing Edge via update_mask. The only editable path is mode.
Response
EdgeServiceUpdateResponse returns the updated Edge.
EdgeServiceUpdateResponse returns the updated Edge.
Edge is one App-owned connection-routing configuration. It is the capability-neutral root for egress today and future LLM routing / credential-injection features; capability-specific config lands additively.
Show child attributes
Show child attributes
Was this page helpful?